Skip to content
Get started

Creates or updates stores.

POST/api/v2/public/stores

Creates or updates stores.

Query ParametersExpand Collapse
flush: optional boolean

When true, removes existing stores before inserting.

Body ParametersJSONExpand Collapse
stores: optional array of object { is_active, is_active_data_exchange, is_warehouse, 37 more }

The list of stores to create or update.

is_active: boolean
is_active_data_exchange: boolean
is_warehouse: boolean
store_name: string

Display name of the store.

minLength1
store_number: string

Unique store number identifier.

minLength1
address: optional string
area_description: optional string
area_id: optional string
area_manager_user_id: optional number
formatint64
city: optional string
contact_details: optional string
cost_center: optional string
country_code: optional string
country_name: optional string
esl_server_path: optional string
free_fields: optional array of object { key, sort_order, value }
key: optional string
sort_order: optional number
formatint32
value: optional string
ip_range_begin: optional string
ip_range_end: optional string
local_server_path: optional string
opening_hours: optional array of object { key, sort_order, value }
key: optional string
sort_order: optional number
formatint32
value: optional string
ordering_schema: optional array of object { day, delivery_offset, time, 3 more }
day: number
formatint32
delivery_offset: number
formatint32
time: string
formatdate-time
category_code: optional string
ordering_offset: optional number
formatint32
week_numbers: optional string
phone_number: optional string
postal_code: optional string
price_line_id: optional number
formatint32
store_gln: optional string
store_next_delivery_datetime: optional string
formatdate-time
store_next_ordering_datetime: optional string
formatdate-time
store_printers: optional array of object { is_bluetooth, printer_ip, printer_name, 3 more }
is_bluetooth: boolean
printer_ip: optional string
printer_name: optional string
printer_serial: optional string
printer_type: optional number
formatint32
vendor: optional string
store_stock_pool_1: optional string
store_stock_pool_10: optional string
store_stock_pool_2: optional string
store_stock_pool_3: optional string
store_stock_pool_4: optional string
store_stock_pool_5: optional string
store_stock_pool_6: optional string
store_stock_pool_7: optional string
store_stock_pool_8: optional string
store_stock_pool_9: optional string
store_type_code: optional string
store_type_description: optional string
ReturnsExpand Collapse
data: optional string

Optional data payload returned by the operation.

message: optional string

Human-readable message describing the result.

success: optional boolean

Indicates whether the operation completed successfully.

Creates or updates stores.

curl https://api.colleqtive.net/api/v2/public/stores \
    -X POST \
    -H "Authorization: $COLLEQTIVE_BEARER_TOKEN"
{
  "data": "12345",
  "message": "Record created successfully.",
  "success": true
}
Returns Examples
{
  "data": "12345",
  "message": "Record created successfully.",
  "success": true
}